import { IgxGridNavigationService } from '../grid-navigation.service';
import { IgxHierarchicalGridComponent } from './hierarchical-grid.component';
export declare class IgxHierarchicalGridNavigationService extends IgxGridNavigationService {
    grid: IgxHierarchicalGridComponent;
    protected getCellSelector(visibleIndex?: number): string;
    protected getRowSelector(): string;
    protected getRowByIndex(index: any): any;
    private getChildContainer;
    private getChildGridRowContainer;
    private getChildGrid;
    private _isScrolledToBottom;
    private getIsChildAtIndex;
    getCellElementByVisibleIndex(rowIndex: any, visibleColumnIndex: any): any;
    navigateUp(rowElement: any, currentRowIndex: any, visibleColumnIndex: any): void;
    navigateDown(rowElement: any, currentRowIndex: any, visibleColumnIndex: any): void;
    navigateTop(visibleColumnIndex: any): void;
    navigateBottom(visibleColumnIndex: any): void;
    goToLastCell(): void;
    onKeydownEnd(rowIndex: any): void;
    goToFirstCell(): void;
    performTab(currentRowEl: any, rowIndex: any, visibleColumnIndex: any): void;
    performShiftTabKey(currentRowEl: any, rowIndex: any, visibleColumnIndex: any): void;
    private _focusScrollCellInView;
    private focusNextChild;
    private focusPrevChild;
    private focusPrev;
    private getNextParentInfo;
    private getNextScrollable;
    private focusNext;
    private getNextScrollableDown;
    private _getMinBottom;
    private _getMaxTop;
    private focusNextRow;
    private focusPrevRow;
    private horizontalScrollGridToIndex;
    private scrollGrid;
    private _navigateUpInChild;
    private _navigateDownInChild;
    private getClosestElemByTag;
}
